> ## Documentation Index
> Fetch the complete documentation index at: https://hilos-40.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a WhatsApp Template

> Send a single WhatsApp message: select a template to use and call our endpoint with the recipient phone number and the variables the template needs. That's it!

<Warning>
  This endpoint is for sending templates only. If you want more functionality (like adding tags) use the <a href="/docs/apidocs/flow-execution/post-apiflow-run">Create a flow execution</a> endpoint.
</Warning>


## OpenAPI

````yaml post /api/channels/whatsapp/template/{id}/send
openapi: 3.0.3
info:
  title: Hilos API
  version: 1.0.0
  description: >-
    All of the below API endpoints require API key authentication, get your
    token at https://app.hilos.io/dev/api-keys.


    To use this token, send with every request an `Authorization: Token <your
    token>` header.


    Production API server is located at api.hilos.io using HTTPS.


    No versioning info is required for now.
servers:
  - url: https://api.hilos.io
    description: Production Server
security: []
paths:
  /api/channels/whatsapp/template/{id}/send:
    post:
      tags:
        - WhatsApp
      summary: Send a WhatsApp Template
      description: >-
        Send a single WhatsApp message: select a template to use and call our
        endpoint with the recipient phone number and the variables the template
        needs. That's it!
      operationId: Send a WhatsApp Template Message
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: Template Id
          required: true
          examples:
            TheTemplateIdThatWeWantToSend:
              value: a3ff7ee5-0c11-49e2-a0d6-7e316626f7b1
              summary: The Template Id that we want to send
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WhatsAppTemplateSend'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/WhatsAppTemplateSend'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/WhatsAppTemplateSend'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsAppTemplateSendPublicResponse'
              examples:
                WhatsAppTemplateSendPublicResponse:
                  value:
                    id: a513da3a-8b73-42aa-a938-0eb1e0141533
                    conversation: ee49ab6c-dfd8-4cb6-a512-5880f4385622
                  description: Returns the Message Id and its Conversation Id.
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    WhatsAppTemplateSend:
      type: object
      properties:
        variables:
          type: array
          items:
            type: string
          description: >-
            An array of variables to be used in the WhatsApp Template. Variables
            are taken in order HEADER, BODY and BUTTONs. (e.g. position 0
            corresponds to the HEADER (if it exists) or variable {{1}}, position
            1 to variable {{2}} and so on.
        phone:
          type: string
          description: The phone number to send the WhatsApp Template to.
          maxLength: 20
      required:
        - phone
    WhatsAppTemplateSendPublicResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Message Id
        conversation:
          type: string
          format: uuid
          description: Message Conversation Id
      required:
        - conversation
        - id
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````